# $Header: /usr/local/cvs/bisonpp/doc/calc.makefile,v 1.1.1.1 1999/03/17 13:02:33 dvermeir Exp $
#
CXX=		g++
CXXFLAGS=	-Wall -g

CCFILES=	calc.C expparser.C explexer.C
HHFILES=	expparser.h explexer.h

all:		make.depend calc

calc:		expparser.o explexer.o calc.o
		$(CXX) -o $@ $^

expparser.C:	expparser.y
		bisonpp -d --class ExpParser expparser.y && mv y.tab.c expparser.C

explexer.C:	explexer.l
		flex++ -f -t $^ >$@
clean:
		/bin/rm -f *.o explexer.C expparser.C y.tab.h calc make.depend
#
make.depend:	$(CCFILES) $(HHFILES)
		$(CXX) $(CPPFLAGS) -M $(CCFILES) >$@
#
include 	make.depend
