#ifndef	EXPPARSER_H
#define	EXPPARSER_H

#include	<iostream>
#include	"explexer.h"
#include	"y.tab.h"

class ExpParser {
public:
private:
	ExpLexer	_lexer;

	int		yynerrs;
	int		yychar;
	YYSTYPE		yylval;

	void	yyerror(const char* msg) { 
			// cerr << "yyerror: " << msg << endl; 
			}
	int	yylex() { return _lexer.yylex(yylval); }

public:
	ExpParser(istream& is): _lexer(&is) {}
	
	int	yyparse();
};

#endif
