%{
/// $Header: /usr/local/cvs/bisonpp/doc/explexer.l,v 1.1.1.1 1999/03/17 13:02:33 dvermeir Exp $

#include	<stdlib.h>	// for atoi()
#include	<iostream>


#include	"y.tab.h"
#include	"explexer.h"

%}

digit	[0-9]
ws	[ \t\n]+
%option	yyclass="ExpLexer"
%option	noyywrap

%%
{ws}			;

{digit}+		{
			lexval.val = atoi(yytext);
			return NUMBER;
			}
"+"			return PLUS;
"*"			return TIMES;
"/"			return DIVIDE;
"-"			return MINUS;

<<EOF>>			return 0;

%%

